<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="ISO-8859-1">
    <title>Employee Management System</title>

    <link rel="stylesheet"
          href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
          integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
          crossorigin="anonymous">

</head>
<body>

<div class="container my-2">
    <h1>Grocery List</h1>

    <a th:href = "@{/showNewGroceryForm}" class="btn btn-primary btn-sm mb-3"> Add Grocery </a>

    <table border="1" class = "table table-striped table-responsive-md">
        <thead>
        <tr>
            <th>
                <a th:href="@{'/page/' + ${currentPage} + '?sortField=name&sortDir=' + ${reverseSortDir}}"> Grocery Item Name</a>
            </th>
            <th>
                <a th:href="@{'/page/' + ${currentPage} + '?sortField=quantity&sortDir=' + ${reverseSortDir}}">Category</a>
            </th>
            <th>
                <a th:href="@{'/page/' + ${currentPage} + '?sortField=category&sortDir=' + ${reverseSortDir}}">Quantity</a>
            </th>
            <th> Actions </th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="grocery : ${listGrocery}">
            <td th:text="${grocery.getName()}"></td>
            <td th:text="${grocery.category}"></td>
            <td th:text="${grocery.quantity}"></td>
            <td> <a th:href="@{/showFormForUpdate/{id}(id=${grocery.id})}" class="btn btn-primary">Update</a>
                <a th:href="@{/deleteGrocery/{id}(id=${grocery.id})}" class="btn btn-danger">Delete</a>
            </td>
        </tr>
        </tbody>
    </table>

    <div th:if = "${totalPages > 1}">
        <div class = "row col-sm-10">
            <div class = "col-sm-2">
                Total Rows: [[${totalItems}]]
            </div>
            <div class = "col-sm-1">
					<span th:each="i: ${#numbers.sequence(1, totalPages)}">
						<a th:if="${currentPage != i}" th:href="@{'/page/' + ${i}+ '?sortField=' + ${reverseSortDir} + '&sortDir=' + ${sortDir}}">[[${i}]]</a>
						<span th:unless="${currentPage != i}">[[${i}]]</span>  &nbsp; &nbsp;
					</span>
            </div>
            <div class = "col-sm-1">
                <a th:if="${currentPage < totalPages}" th:href="@{'/page/' + ${currentPage + 1}+ '?sortField=' + ${reverseSortDir} + '&sortDir=' + ${sortDir}}">Next</a>
                <span th:unless="${currentPage < totalPages}">Next</span>
            </div>

            <div class="col-sm-1">
                <a th:if="${currentPage < totalPages}" th:href="@{'/page/' + ${totalPages}+ '?sortField=' + ${reverseSortDir} + '&sortDir=' + ${sortDir}}">Last</a>
                <span th:unless="${currentPage < totalPages}">Last</span>
            </div>
        </div>
    </div>
</div>
</body>
</html>
